import { Link } from "react-router-dom";
import { openTab } from "../contents";

interface UrlButtonProps{
    href: string,
    children: string,
  };


export function Villagebutton({ title, source, page }: { title: string; source: string; page:string}) {
  return (
    <Link className="btn village-style-button" role="button" to={page}>
      <img src={source} className="d-block mx-auto mb-2" alt=""></img>
      <h3>{title}</h3>
    </Link>
  )
}

export function Villbuttonrow(){
  return(
      <div className="row align-items-center bottom-buttons">
        <Villagebutton page="/human-practices" source="https://static.igem.wiki/teams/5247/design/icons/humanpractices.png" title="Human Practice"></Villagebutton>
        <Villagebutton page="/team" source="https://static.igem.wiki/teams/5247/design/icons/team.png" title="Team"></Villagebutton>
        <Villagebutton page="/experiments" source="https://static.igem.wiki/teams/5247/design/icons/lab.png" title="Experiments"></Villagebutton>
        <Villagebutton page="/description" source="https://static.igem.wiki/teams/5247/design/icons/dna.png" title="Description"></Villagebutton>
        <Villagebutton page="/engineering" source="https://static.igem.wiki/teams/5247/design/icons/genetic-engineering.png" title="Engineering"></Villagebutton>
        <Villagebutton page="/safety" source="https://static.igem.wiki/teams/5247/design/icons/safety.png" title="Safety"></Villagebutton>
        <Villagebutton page="/results" source="https://static.igem.wiki/teams/5247/design/icons/results.png" title="Results"></Villagebutton>
      </div>  
  )
}


export const UrlButton = ({ href, children }:UrlButtonProps) => {
    return (
      <a href={href} className="url-button">
        {children}
      </a>
    );
  }




export const DownloadLink = ({ url, fileName }: {url: string, fileName: string}) => {
const handleDownload = () => {
    fetch(url)
    .then((response) => response.blob())
    .then((blob) => {
        const url = window.URL.createObjectURL(new Blob([blob]));
        const link = document.createElement("a");
        link.href = url;
        link.download = fileName || "downloaded-file";
        document.body.appendChild(link);

        link.click();

        document.body.removeChild(link);
        window.URL.revokeObjectURL(url);
    })
    .catch((error) => {
        console.error("Error fetching the file:", error);
    });
};
  
return (

    <a type="button" onClick={handleDownload} className="download-butt">
        Download
    </a>

);
};
  


export function HPButtonrow(){

  return(
      <>
      <div className="align-items-center bottom-buttons">
          <button className="active" onClick={openTab({cityName: "All", cla: "tabtabs", weg:"tabbys"})}> All</button>
          <button  onClick={openTab({cityName: "Patient", cla: "tabtabs", weg:"tabbys"})}> Patients</button>
          <button  onClick={openTab({cityName: "Academia", cla: "tabtabs", weg:"tabbys"})}> Academia</button>
          <button  onClick={openTab({cityName: "Medical", cla: "tabtabs", weg:"tabbys"})}> Medical professionals</button>
          <button  onClick={openTab({cityName: "Industry", cla: "tabtabs", weg:"tabbys"})}> Industry</button>
      </div>
      </>
  )
}

